Remove deprecated libraries/base/include/Typeable.h
ClosedPublic

Authored by thomie on Nov 17 2014, 11:54 PM.

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
thomie updated this revision to Diff 1480.Nov 17 2014, 11:54 PM
thomie retitled this revision from to Remove deprecated libraries/base/include/Typeable.h.
thomie updated this object.
thomie edited the test plan for this revision. (Show Details)

Unrelated build error.

hvr added a reviewer: ekmett.EditedNov 18 2014, 2:52 AM
hvr added a subscriber: ekmett.

I thought there was some discussion about when to remove in Typeable.h in D311, but I can't seem to find it anymore...

Adding @ekmett as reviewer, since he may have an opinion on whether to remove Typeable.h now or wait till GHC 7.12 ...

austin accepted this revision.Nov 18 2014, 11:58 AM
austin edited edge metadata.

I say get rid of it, IMO.

This revision is now accepted and ready to land.Nov 18 2014, 11:58 AM
ekmett edited edge metadata.Nov 19 2014, 2:29 PM

This header is still in pretty broad use. If it isn't a pain point I'd prefer to wait until 7.12.

(e.g. I just watched 4-5 of these deprecation warnings fly by when I was building quine from scratch with all of its dependencies, that is just off the dependencies of one project of mine.)

Alright, fair enough. This can just land on Monday instead since the freeze is Friday.

hvr requested changes to this revision.Nov 23 2014, 3:05 PM
hvr edited edge metadata.

I'm temporarily changing the status so this doesn't get applied by accident (and so it doesn't always show up in my todo-queue)

This revision now requires changes to proceed.Nov 23 2014, 3:05 PM
thomie requested a review of this revision.Feb 9 2015, 2:54 AM
thomie edited edge metadata.
austin accepted this revision.Feb 9 2015, 1:42 PM
austin edited edge metadata.

LGTM, this can hit HEAD now.

This revision was automatically updated to reflect the committed changes.